<?php
/*
Plugin Name: Irontec - Denunciar
Plugin URI: http://www.irontec.com
Description: Agrega un formulario para poder denunciar contenido.
Version: 0.1
Author: Irontec
Author URI: http://www.irontec.com
License: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
*/

// Define plugin version and plugin db version
define( 'IRON_DENUNCIAS_VERSION', '0.1' );
define( 'IRON_DENUNCIAS_DB_VERSION', '0.1' );
define( 'IRON_DENUNCIAS_URL', WP_PLUGIN_URL . '/irontec-denuncias' );

// Activation hook
register_activation_hook( __FILE__, 'iron_denuncias_activation' );
// Deactivation hook
register_deactivation_hook( __FILE__, 'iron_denuncias_deactivation' );

// DEFINIMOS NUESTROS CUSTOM SLUGS
if ( !defined( 'BP_IRON_DENUNCIAS_SLUG' ) ) define( 'BP_IRON_DENUNCIAS_SLUG', 'denuncias-modal' );

function my_setup_root_iron_denunciasmodal () {
	bp_core_add_root_component( BP_IRON_DENUNCIAS_SLUG );
}

add_action( 'bp_setup_root_components', 'my_setup_root_iron_denunciasmodal' );

function my_action_iron_denunciasmodal() {
	global $bp;

	if ( $bp->current_component == BP_IRON_DENUNCIAS_SLUG ) {
		do_action( 'my_action_iron_denunciasmodal' );
		bp_core_load_template( apply_filters( 'bp_core_template_iron_denuncias', 'denuncias-modal/index' ) );
	}
}

add_action( 'wp', 'my_action_iron_denunciasmodal', 1 );

/*
Activation of the plugin.
*/
function iron_denuncias_activation() {
	// Check DB version first
	if ( get_site_option( 'iron_denuncias_db_version' ) < IRON_DENUNCIAS_DB_VERSION ) {
		iron_denuncias_install_db();
	}
}

/*
Deactivation of the plugin.
*/
function iron_denuncias_deactivation() {
	// Do NOT delete DB TABLE upon deactivation
	iron_denuncias_uninstall_db();
}

/*
Installation of the DB tables
*/
function iron_denuncias_install_db () {
	global $wpdb;

	$iron_denuncias_db_version = IRON_DENUNCIAS_DB_VERSION;

	if ( !empty($wpdb->charset) )
		$charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";

	// Create table categories
	$table_name = $wpdb->prefix . "iron_denuncias";

	if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {

		$sql[] = "CREATE TABLE {$table_name} (
	  		id bigint(20) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			user_id bigint(20) NOT NULL,
			content longtext NOT NULL,
			KEY user_id (user_id)
	 	   ) {$charset_collate};";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
	}

	// add default options to wp_options
	add_option("iron_denuncias_db_version", $iron_denuncias_db_version);
}

/*
Uninstall of the DB tables
*/
function iron_denuncias_uninstall_db () {
	global $wpdb;

	// delete options from wp_options
	delete_option("iron_denuncias_db_version");
}

/*
Administration Menu
*/
function iron_denuncias_create_menu() {

	//create new top-level menu
	add_menu_page('Iron Denuncias', 'Iron Denuncias', 'manage_options', 'iron-denuncias-handle', 'iron_denuncias_front_page', plugins_url('images/irontec.gif', __FILE__));
	add_submenu_page( 'iron-denuncias-handle', 'Main Settings', 'Main Settings', 'manage_options', 'iron-denuncias-handle2', 'iron_denuncias_settings_page');

	//call register settings function
	add_action( 'admin_init', 'iron_denuncias_settings' );
}

/*
Administration Settings page options
*/
function iron_denuncias_settings() {

}
?>